<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" tests="5" skipped="0" failures="0" errors="0" timestamp="2026-09-03T16:43:31.734Z" hostname="devserver3.ustadmobile.com" time="1.93">
  <properties/>
  <testcase name="givenStatementInserted_whenVoided_thenShouldNotShowUp[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.289"/>
  <testcase name="givenStatement_whenConvertedToEntitiesAndBack_thenShouldMatch[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.075"/>
  <testcase name="givenStatement_whenStoredAndRetrieved_thenShouldMatch[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="1.322"/>
  <testcase name="givenAssignmentAndCompletionStatementsMade_whenGetProgressCalled_thenSummariesShouldMatch[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.165"/>
  <testcase name="givenStatementPosted_whenAnotherStatementPostedWithSameId_thenShouldThrowConflictError[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.079"/>
  <system-out><![CDATA[]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
